Вход | Регистрация


1С:Предприятие :: 1С:Предприятие 8 общая

Последний релиз 1С и Microsoft SQL Native Client

Последний релиз 1С  и Microsoft SQL Native Client
Я
   Beduin
 
21.10.16 - 16:02
Типовая БУХ КОРП 3.0
Установили последний релиз клиента. Он потребовал Native Client от SQL. Теперь в течение дня ошибка и завершает соединение
Ошибка СУБД: Microsoft SQL Native Client: cannot find the object "#tt1" because it does not exist or you do not have permissions.
HRESULT = 80040E37
 
 
   vde69
 
1 - 21.10.16 - 16:03
какой именно релиз ты установил?
   Господин ПЖ
 
2 - 21.10.16 - 16:04
телепаты в отпуске
   shuhard_серый
 
3 - 21.10.16 - 16:09
(0)[релиз клиента. Он потребовал Native Client от SQL]
клиент не требует, требует сервер 1С
   Beduin
 
4 - 21.10.16 - 16:13
(3) Да. Сервера. Пятница)
(1) 1С:Предприятие 8.3 (8.3.9.1818)
   Beduin
 
5 - 21.10.16 - 16:15
Админы сказали, что sql сервер 2005.
   vde69
 
6 - 21.10.16 - 16:20
(4) а зачем ты ставил 8.3.9 ????

1. он не требуется ни одной конфой
2. он первый в линейке (и в нем куча багов)
3. такие релизы не могут быть стабильными
4. к таким релизам обязательно читать мануал и тестировать а только потом накатывать...


например я сегодня перешел на 8.3.8.2167
   Beduin
 
7 - 21.10.16 - 16:23
(6) А где про это написано. Про него не сказано, что он в стадии тестирования.
   Vladal
 
8 - 21.10.16 - 16:25
(7) На сайте обновлений users.v8.1c.ru
   vde69
 
9 - 21.10.16 - 16:25
(7) про это написано кровью на жопе админов и 1с ников Ж)

это ОПЫТ !!!!
   МихаилМ
 
10 - 21.10.16 - 16:30
 
 Рекламное место пустует
   Beduin
 
11 - 21.10.16 - 16:37
(8) можешь текст кинуть где написано. осторожно на свой страх и риск
   Beduin
 
12 - 21.10.16 - 16:39
(9) а теперь почитай сколько ошибок было исправлено из предыдущего релиза в последнем релизе.
   vde69
 
13 - 21.10.16 - 16:41
(11) https://bugboard.v8.1c.ru/version/plt8gen/8.3.9.1818.html

66 неисправленных ошибок из которых минимум 5 приводят к подению...


хотя-бы сюда перед обновлением заглядывать нужно????
   Beduin
 
14 - 21.10.16 - 16:54
(13)266 в твоем
bugboard.v8.1c.ru/version/plt8gen/000005339.html
   Beduin
 
15 - 22.10.16 - 08:58
(14) Доводы кончились. Только крик на весь форум, смотрите на количество ошибок.
   rphosts
 
16 - 22.10.16 - 09:12
(15)не, ну готов в продакшен версию с кучей нерешённых проблем - я не возражаю.
   Beduin
 
17 - 22.10.16 - 09:41
(16) Может у меня с логикой что-то не так. А у предыдущего релиза, не было не решенных проблем?
   NeoVision
 
18 - 22.10.16 - 10:22
(0) версия Native Client и сервера sql совпадает?
   Beduin
 
19 - 22.10.16 - 10:44
(18)
   Beduin
 
20 - 22.10.16 - 10:45
(18) Помогло вроде бы из (10) 
Стояла 7 версия, поставили 10
   ildary
 
21 - 22.10.16 - 12:30
Не ругайте бесплатных тестеров - они стараются для тех, кто не любит неожиданностей в работе и не обновляется, пока явные ошибки не вычистят.
   Dmitrii
 
22 - 22.10.16 - 15:04
(0) Блеадь. Ну вот неужели так сложно почитать документацию перед установкой новой версии платформы? Хотябы раздел системные требования...

http://its.1c.ru/db/v839doc#bookmark:cs:TI000000018

При установке свойства Режим совместимости в значение большее, чем Версия 8.3.7 (напомню, у последней версии БП 3.0 режим совместимости 8.3.8):
? Минимальной версией СУБД Microsoft SQL Server, с которой будет работать «1С:Предприятие», становится Microsoft SQL Server 2005.
? Для работы системы «1С:Предприятие» требуется установленный SQL Server Native Client for SQL Server 2005 (и более старших версий Microsoft SQL Server). Проверка наличия установленного SQL Server Native Client осуществляется при выполнении следующих операций:
? создание информационной базы;
? загрузка информационной базы;
? обновление конфигурации базы данных.
Версия используемого SQL Server Native Client должна быть не младше версии используемого Microsoft SQL Server.

Тут http://v8.1c.ru/requirements/ указано, что для SQL 2005 нужен еще SP3.

Как у вас с 7-й версией Native Client вообще работало....
   vde69
 
23 - 22.10.16 - 15:36
(15) во первых количество ошибок - не показатель, показатель качество ошибок...

одно дело падение сервера и совсем другое если в лине вместо желтой рамки она коричневая в крапинку.

второе дело - период за который были обнаружены эти ошибки, понятно, что на версии выпущенной год назад ошибок найденных будет больше чем на версии выпущенной вчера, но ведь это не критерий количества ошибок а критерий найденных за разное время.

третье
выпуск новой ветви версии было 8.3.8 а стало 8.3.9 делают тогда когда хотят внести что то принципиально новое, не просто новое а именно ПРИНЦИПИАЛЬНО новое, и вот тут по любому есть ошибки, по этому такую версию не надо ставить пока хотя-бы пару обновлений не выпустят...


ну и последнее - если Вам хочется ставить все новое - ставьте, только сначала протестируйте на тестовом сервере...
   oleg_km
 
24 - 22.10.16 - 16:22
(23) Где взять лицензию на "тестовый" сервер? Т.е. за тестирование еще и деньги 1С платить? Вот что отсутствие конкуренции делает
   Dmitrii
 
25 - 22.10.16 - 16:50
(24) А вас кто-то заставляет тестировать?...
Но если уж у вас так сильно зудит в одном месте, то либо заплатите за возможность тестировать, либо ставьте новый релиз рядом со старым на одном сервере, чтобы не тратиться на отдельную лицензию.

Я не оправдываю 1С. Косячат они действительно сверх всякой меры. Однако и ставить версии ПО едва вчера зарелизившегося из тестового - это тоже не совсем правильно. Тем более никакой явной необходимости в этом не было.
   vde69
 
26 - 22.10.16 - 17:12
(24) можно поставить на тот-же железный сервер но с другими портами...

а вообще иметь отдельный сервер для разрабов и всяких тестов - это нормально для контор больше ларька
   VladZ
 
27 - 22.10.16 - 17:20
(0) 8.3.9? Народ еще на 8.3.6 работает.
   vde69
 
28 - 22.10.16 - 17:20
(24) кстати в том-же сапе для того что бы что-то менять отдельная лицензия обязательна, так называемый пакет разработчика - это отдельные бабосы, не говоря об отдельных тестовых серверах и прочем...
   Dmitrii
 
29 - 22.10.16 - 17:45
(27) >> Народ еще на 8.3.6 работает

Последняя бухня 3.0 требует 8.3.8.
Однако зачем некоторые ставят 8.3.9 остается загадкой.
   Zamestas
 
30 - 22.10.16 - 17:48
(29) Дык круто - x64 и COM не работает.
   Beduin
 
31 - 22.10.16 - 17:52
Парни вы вдумайтесь в то, что пишите. Либо 1С так и осталась системой наступай осторожно, либо у вас мышление осталось в прошлом.
Когда приходят обновления на телефон или ноутбук, вы что выбираете какой релиз установить. Читаете список ошибок каждый раз, делаете недельный анализ о выборе наименее забагованного варианта. Вы нажимаете кнопку и устанавливаете последний релиз от компании.
Типовые конфигурации 1С давно обновляются по кнопке, и когда обычный бухгалтер запустив процесс обновления увидит, что релиз не менее такого-то, то он по умолчанию выберет тот который вверху. Сама 1С выложила его и сказала, вот он оттестирован, в нем исправлены ошибки предыдущих релизов. Человек нажмет кнопку и установит наиболее последний из возможных. Какое тестирование, анализ и т.п. 1С херачит эти релизы каждую неделю.
Через месяц выйдет конфа, которая потребует 8.3.9, что вы будете устанавливать, последний или "Мой глючный 8.3.9"?!!
   vde69
 
32 - 22.10.16 - 17:55
(31) во всех нормальных конторах 100% виндовых обновлений тестируется  а уже потом раскатываются локальным всусом...

в банках 100% любых обновлений тестируется

во многих конторах обновления вообще запрещены....
   vde69
 
33 - 22.10.16 - 17:56
(31) никогда не доверю буху что-либо обновлять кроме кладра и курса валют
 
 
   vde69
 
34 - 22.10.16 - 18:03
(31) по поводу обновления личного ноута и телефона - ты рискуешь только лично им, а тут ты рискуешь работоспособностью всей компании, разницу понимаешь???
   shuhard_серый
 
35 - 22.10.16 - 18:09
(31) либо ты профнепригоден
   Beduin
 
36 - 22.10.16 - 18:10
(33) Ты не доверяешь, а у 1С уже давно кнопка есть для обновления прямо у пользователя.
   vde69
 
37 - 22.10.16 - 18:11
(36) а права на кнопку какие? или у тебя бухи под админом в 1с работают?
   Beduin
 
38 - 22.10.16 - 18:14
(37) В смысле?! Для тебя дикость, что есть базы 1С, которые технический специалист не обслуживает, и там все делает обычный бухгалтер?
   vde69
 
39 - 22.10.16 - 18:16
(38) да это дикость (если не брать в расчет ларьки)

ну а в ларьках вообще бардак....
   Vladal
 
40 - 22.10.16 - 18:23
(38) ты нашел исключение из правила чтобы опровергнуть само правило?
   Beduin
 
41 - 22.10.16 - 18:23
(32) Ты что там тестировать собрался?)))
Я понимаю в банке, у них там целый отдел для этого, они делают песочницу, в нее накатывают обновление и смотрят работоспособность основного программного обеспечения.
Но в обычной конторке, где сервер 1С один и тот еле дышит.
Вернись немного в реальность. Если на каждый релиз 1С, которые выходят с интервалом в две недели делать тестовую среду с анализом работоспособности, это превысит стоимость владения самой 1С раза в 3. И это в обычной организации которые и составляют основные пользователи 1С.
   vde69
 
42 - 22.10.16 - 18:28
>>>Но в обычной конторке, где сервер 1С один и тот еле дышит.


еще раз говорю - ларьки могут обновляться не тестируя, не делать бекапов, по 30 человек работать с файловой ломаной УПП и т.д.

я говорю как это должно быть, а слушать или нет - это Ваше дело...

кстати сам в четверг тестировал и твою версию и мою, по результатам поставил мою без гемороя, а Вы поставили без тестирования но с гемороем не только для себя но и для всей компании...

А теперь ответьте на вопрос: Кто из нас двоих достоин премии а кто штрафа? Только честно....
   shuhard_серый
 
43 - 22.10.16 - 18:31
(41)[Вернись немного в реальность.]
мы в ней живём
обновление продуктива без тестирования даже ларькам выходит боком
   Beduin
 
44 - 22.10.16 - 18:33
(42) В моем случае вставили админам, которые не выполнили моего требования установить последнюю версию Microsoft SQL Native Client. Сейчас все работает, на 8.3.9.1818.
   vde69
 
45 - 22.10.16 - 18:40
(44) а за НЕ ОБОСНОВАНОЕ обоснование им вставили :)

прикольно у Вас там... жизнь бурлит...

зы
жди ответку от них :)
   Cyberhawk
 
46 - 22.10.16 - 21:16
(23) "выпуск новой ветви версии было 8.3.8 а стало 8.3.9 делают тогда когда хотят внести что то принципиально новое, не просто новое а именно ПРИНЦИПИАЛЬНО новое" // Насчет "не просто новое" это ты что-то гонишь (ни разу новую функциональность не выкатывали в билдах без изменения третьего разряда релиза)...
   Cyberhawk
 
47 - 22.10.16 - 21:17
+(46) Правильно было бы сказать так: "... делают тогда, когда хотят внести что-то новое, и чаще всего это новое - принципиально новое" в твоем контексте, думаю


Список тем форума
Рекламное место пустует  Рекламное место пустует
ВНИМАНИЕ! Если вы потеряли окно ввода сообщения, нажмите Ctrl-F5 или Ctrl-R или кнопку "Обновить" в браузере.
Тема не обновлялась длительное время, и была помечена как архивная. Добавление сообщений невозможно.
Но вы можете создать новую ветку и вам обязательно ответят!
Каждый час на Волшебном форуме бывает более 2000 человек.
Рекламное место пустует